Priority: Normal Due date:
Description

In scenarios that do not use ndn-cxx Face, it's unnecessary to run RIB.

Running RIB not only consumes more memory, but also can cause problems in certain experiments where the packet format is

modified and thus breaks signatures.

History

#1 - 11/11/2015 06:32 PM - Junxiao Shi

This solution was proposed during 20151110 conference call.

#2 - 11/12/2015 01:27 AM - Christian Kreuzberger

Might it be worth to consider that some (though not all!) of the management stuff in L3Protocol::initializeManagement() (see
ndn-13-protocol.cpp#L.219-L267) is optional? For instance the StatusServer should not be necessary for all simulations (clearly not the most

"expensive" component, but it's a start).

#3 - 11/13/2015 01:47 PM - Spyros Mastorakis
- Status changed from New to In Progress

- Assignee set to Spyros Mastorakis

- Target version set to 2.2

- % Done changed from 0 to 90

#4 - 11/16/2015 09:43 AM - Spyros Mastorakis

- Status changed from In Progress to Code review

#5 - 01/05/2016 01:39 PM - Spyros Mastorakis
- Status changed from Code review to Closed

- % Done changed from 90 to 100
https://github.com/named-data/ndnSIM/blob/master/model/ndn-l3-protocol.cpp#L219-L267
